Std ViewRotateRight: Difference between revisions

From FreeCAD Documentation
({{Std Base navi}} to categorize page)
mNo edit summary
 
(10 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:7-->
{{Docnav
|[[Std_ViewRotateLeft|ViewRotateLeft]]
|[[Std_StoreWorkingView|StoreWorkingView]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewRotateLeft.svg
|IconR=
|IconC=Freecad.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std_RotateRight
|Name=Std ViewRotateRight
|MenuLocation=[[Std View Menu|View]] → Standard views → Rotate Right
|MenuLocation=View → Standard views → Rotate Right
|Shortcut= Shift + Right
|Workbenches=All
|Workbenches=All
|Shortcut={{KEY|Shift}}+{{KEY|Right}}
|SeeAlso=[[Std_ViewRotateLeft|Std ViewRotateLeft]]
}}
}}


Line 12: Line 24:


<!--T:3-->
<!--T:3-->
This tool rotates the 3D view toward the right (clockwise) by 90-degree increments.
The '''Std ViewRotateRight''' command rotates the camera in the active [[3D_view|3D view]] around the view direction in 90-degree increments towards the right (clockwise).


==How to use== <!--T:4-->
==Usage== <!--T:6-->

* Press {{KEY|Shift}} + {{KEY|Right}} or go to {{MenuCommand|View → Standard views → Rotate Right}}.
<!--T:4-->
# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewRotateRight.svg|16px]] Rotate Right}} option from the menu.
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewRotateRight.svg|16px]] Rotate Right}} option from the [[3D_view|3D view]] context menu.
#* Use the keyboard shortcut: {{KEY|Shift}}+{{KEY|Right}}.

==Scripting== <!--T:8-->

<!--T:9-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:10-->
To rotate the view to the right use the {{incode|viewRotateRight}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

</translate>
{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()
}}
<translate>


<!--T:11-->
{{Docnav
|[[Std_ViewRotateLeft|ViewRotateLeft]]
|[[Std_StoreWorkingView|StoreWorkingView]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewRotateLeft.svg
|IconR=
|IconC=Freecad.svg
}}


<!--T:5-->
{{Std Base navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:39, 7 October 2022

Std ViewRotateRight

Menu location
View → Standard views → Rotate Right
Workbenches
All
Default shortcut
Shift+Right
Introduced in version
-
See also
Std ViewRotateLeft

Description

The Std ViewRotateRight command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the right (clockwise).

Usage

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Rotate Right option from the menu.
    • Select the Standard views → Rotate Right option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Right.

Scripting

See also: FreeCAD Scripting Basics.

To rotate the view to the right use the viewRotateRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()